#ifdef ARC_GLFW_INPUT
#include "arc/input/keyboard.h"

#include "keyboard.h"
#include "arc/math/point.h"
#include "arc/std/errno.h"
#include <stdlib.h>
#include <stdint.h>

void ARC_Keyboard_CreateWithInput(ARC_Keyboard **keyboard, ARC_Input *input){
}

void ARC_Keyboard_Destroy(ARC_Keyboard *keyboard){
}

void ARC_Keyboard_Update(ARC_Keyboard *keyboard){
}

ARC_KeyboardState ARC_Keyboard_GetState(ARC_Keyboard *keyboard, enum ARC_KeyboardKey key){
    return ARC_KEY_NONE;
}

#endif // ARC_GLFW_INPUT